"""first revision

迁移 ID: af113b78e1a7
父迁移:
创建时间: 2025-01-16 20:35:37.143069

"""

from __future__ import annotations

from collections.abc import Sequence

from alembic import op
import sqlalchemy as sa


revision: str = "af113b78e1a7"
down_revision: str | Sequence[str] | None = None
branch_labels: str | Sequence[str] | None = ("nonebot_plugin_memos",)
depends_on: str | Sequence[str] | None = None


def upgrade(name: str = "") -> None:
    if name:
        return
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "nonebot_plugin_memos_memo",
        sa.Column("id", sa.Integer, primary_key=True, nullable=False),
        sa.Column("user_id", sa.String, nullable=False),
        sa.Column("user_info", sa.String, nullable=False),
        sa.Column("session_persist_id", sa.Integer, nullable=False),
        sa.Column("url", sa.String, nullable=False),
        sa.Column("token", sa.String, nullable=False),
        sa.Column("created_at", sa.DateTime, nullable=False, server_default=sa.func.now()),
        sa.Column(
            "updated_at",
            sa.DateTime,
            nullable=False,
            server_default=sa.func.now(),
            onupdate=sa.func.now(),
        ),
    )

    op.create_table(
        "nonebot_plugin_memos_setting",
        sa.Column("user_id", sa.String, primary_key=True),
        sa.Column(
            "default_memo", sa.Integer, sa.ForeignKey("nonebot_plugin_memos_memo.id", ondelete="SET NULL"), nullable=True
        ),
        sa.Column("created_at", sa.DateTime, nullable=False, server_default=sa.func.now()),
        sa.Column(
            "updated_at",
            sa.DateTime,
            nullable=False,
            server_default=sa.func.now(),
            onupdate=sa.func.now(),
        ),
    )
    # ### end Alembic commands ###


def downgrade(name: str = "") -> None:
    if name:
        return
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("nonebot_plugin_memos_setting")
    op.drop_table("nonebot_plugin_memos_memo")
    # ### end Alembic commands ###
